#ifndef CODE39_H
#define CODE39_H

#include <QDebug>
#include <QDateTime>
#include <QMessageBox>
#include <QFont>
#include <QBitmap>
#include <QPainter>
#include <QtPrintSupport>

class Code39
{
public:
    Code39();

private:
//    static QMap<QString,QString> map;

public:
    void draw(QPainter & painter, QRect & pos, QString &barcode);
    QString CodeBinary(QString barcode);

private:
//    static void InitMap();

};

#endif // CODE39_H
